@import "variables";
@import "mixins";
@import url(https://fonts.googleapis.com/css?family=Open+Sans);

*{box-sizing:border-box;}
body{
    padding:0;
    margin:0; 
    font-size: 20px;
}
ul,h1,h2,h3,h4,h5,h6{
    padding: 0; 
    margin: 0;
}
a{
    padding: 0; 
    margin: 0; 
    text-decoration: none;
}
p{
    padding: 0; 
    margin: 0; 
    color: $border-color;
}
li{
    list-style-type: none;
}
:focus{
    box-shadow: none;
}

// css start here

// login page css
.body{
    background: #F4F4F4;
}
.fivtin{
    margin: 15px 0; 
}
.bc-login{
    background: url("../image/login-bk.svg") no-repeat; 
    width: 100%; 
    height: 100%; 
    background-size: cover;  
}
.login-inner{
    width: 100%; 
    display: flex; 
    justify-content: center; 
    align-items: center;
     margin-top: 195px;
            @include breakpoint(laptop) {
                margin-top: 20px;
            }
            @include breakpoint(mobile) {
                margin-top: 35px;
            }
        .login{
            max-width: 656px;  
            width: 100%; 
            text-align: center;
                h1{
                    color:$dark-blue; 
                    white-space: nowrap; 
                    font-size: 96px; 
                    @include breakpoint(laptop) {
                        font-size: 70px; 
                    }
                    @include breakpoint(mobile) {
                        font-size: 40px; 
                    }
                    text-align: left;
                    font-family: 'Conv_MavenPro-Medium';
                }
                .right-place{
                    position: absolute;
                    right:22%;
                    margin-top: 20px;
                    color:$border-color;
                    font-size: 16px;
                    @include breakpoint(laptop) {
                        right:18%;
                    }
                    @include breakpoint(mobile) {
                        right:2%;
                        margin-top:16px;
                        font-size: 10px;
                    }
                }
                .int{
                    width: 100%; 
                    border:none; 
                    border-bottom: 1px solid $border-color; 
                    padding: 14px 10px;
                    margin: 10px 0;
                    font-size: 20px; 
                    font-family: 'Open Sans', sans-serif;
                        @include breakpoint(laptop) {
                            padding: 10px 10px;
                        }
                    &::placeholder{
                        color: $border-color;  
                        font-family: 'Open Sans', sans-serif;
                    }
                }
            }
    }
    .frm-lg{
        margin-top: 15px;
    }
    .form-group { 
        margin-bottom:0;
    }
    .sign{ 
        color: #fff; 
        padding: 10px 55px; 
        background: $blue; 
        border-radius: 50px; 
        margin: 15px 0; 
        @include breakpoint(laptop) {
            margin: 5px 0;
        }
    }
    .tag-line{
        margin: 18px 0;
        @include breakpoint(laptop) {
            margin: 10px 0;
        }
            p{
                font-size:20px;
                @include breakpoint(mobile) {
                    font-size:12px;
                }
            }
            span{
                a{
                    color: $blue; 
                    font-size: 20px;
                    @include breakpoint(mobile) {
                        font-size:12px;
                    }
                }
            }
    }
    .bottom-kids{
        text-align: center; 
        width: 100%; 
        margin-top: 50px;
        @include breakpoint(laptop) {
            margin-top: 0px;
        }
            img{
                max-width:267px; 
                height: 115px;
            }
    }
// login page css


// Dashboard css
    .heder-bk{
        background: $header-color;
        .navbar{
            padding: 0;
            .navbar-brand{
                img{
                    max-width: 80px;
                    height:38px;
                    fill: $white;
                }
            }
        }
        .navbar-light .navbar-nav .active>.nav-link, .navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .nav-link.show, .navbar-light .navbar-nav .show>.nav-link {
            color:$white;
        }
        
        .justify-content-center li.nav-item{
            font-family: Open Sans, Semibold;
            // margin: 0 18px;
        }
    }

        .border-btm{
            li{
                margin: 0 15px;
                @include breakpoint(laptop) {
                    margin: 0 5px;
                }
                @include breakpoint(tablet) {
                    margin: 0 10px;
                }
            }
            a{position: relative; padding: 0 ;}
            .nav-link.active:after {
                position: absolute;
                width: 15px;
                content: "";
                display: block;
                border-bottom: 2px solid $white;
                bottom: 0;
                right: 0;
                left: 0;
                margin: 0 auto;
            }
            .nav-link.active{color:#fff}
            
        }

        .right-menu{
            li{
                margin: 0 0;
                border-left: 1px solid #004C95;
                padding:  0 15px;
                @include breakpoint(laptop) {
                    padding:  0 0px;
                }
            }
            .nav-link{
                padding: 28% 0;
                @include breakpoint(tablet) {
                    padding:0;
                }
            }
            
            .icon-mod{
                font-size:30px;
                color: $white;
                line-height: 0;
                position: relative;
            }
        }
        .dropdown{
            background: transparent;
            .btn-secondary {
                color: $white;
                background-color: transparent;
                border-color: transparent;
            }
            .prof-icn{
                height: 36px;
                width: 36px;
                background: $white;
                display: inline-block;
                border-radius: 50px;
                vertical-align: middle;
                margin-left: 10px;
            }
            .dropdown-toggle::after {
                display:none;
            }
            .dropdown-menu{
                min-width: 8rem;
                background: $dark-blue;
                .dropdown-item{
                    color: $white;
                    padding: .25rem 10px;
                }
            }
        }
    
    .notic{
        display: none;
        max-width: 500px;
        width: 100%;
        height: 100vh;
        position: absolute;
        background: #F4F4F4;
        z-index: 99;
        right: 0;
        top: 100%;
        .not-hed{
            background: #004C95;
            color: $white;
            padding: 20px 10px;
        }
        
    }
    .notic.active {
        display: block;
    }
    .admin{
        background: $white;
        padding: 10px 0;
        .lopes {
            select{
                width: 64%;
                float: right;
                padding: 0;
                border: none;
                color:$athree;
                font-family: 'Open Sans', sans-serif;
                @include breakpoint(mobile) {
                    width: 100%;
                }
            }
        }
        .drop-arow{
            position: absolute;
            right: 22px;
            top: 18%;
            color:$athree;
        }
        select{
            -webkit-appearance: none;
        }
        
    }

    .events{
        background: $white;
        padding: 20px;
        overflow: hidden;
        margin: 15px 0;
        max-height: 900px;
        .events-list{
            max-height: 715px;
            overflow-y: scroll;

            li{
                display: flex;
                flex-flow: row;
                padding: 20px;
                border: 1px solid #F4F4F4;
                margin: 6px 0;
                @include breakpoint(laptop) {
                    padding: 10px;
                }
                @include breakpoint(mediummobile) {
                    padding: 8px;
                }
            }
            
        }
        h3{
            color: #004C95;
            font-family: 'Conv_MavenPro-Medium';
            font-size: 38px;
            text-align: left;
            margin-bottom: 20px;
            @include breakpoint(mediummobile) {
                margin-bottom: 5px;
                font-size: 30px;
            }
        }
        .mini-events {
            width: 100%;
            @include breakpoint(laptop) {
                display: flex;
                flex-flow: column;
                text-align: center;
            }
            .right-cont{
                display: flex;
                flex-flow: column;
               
                .spn{
                    padding: 0 10px;
                    i{
                        vertical-align: middle;
                    }
                }
               .hrs{
                   border-left:1px solid $athree;
                   padding-left: 10px;
                   margin: 0 10px;
               }
                span{
                    color: $athree;
                    font-size: 16px;
                    display: block;
                    @include breakpoint(laptop) {
                        font-size: 13px;
                    }
                    @include breakpoint(mediummobile) {
                        font-size: 10px;
                    }
                }
            }
            img{
                height: 120px;
                max-width: 120px;
                border-radius: 66px;
                float: left;
                margin-right: 20px;
                @include breakpoint(laptop) {
                    float: none;
                    margin: 0 auto;
                }
            }
            .list-name{
                float: left;
              li{  
                  display: inline-block;
                  border: none;
                  padding: 0;
                }
                a{
                    font-size: 18px;
                    color: $header-color;
                    font-family: 'Conv_MavenPro-Regular';
                    text-decoration: none;
                    white-space: nowrap;
                    padding: 0 10px;
                    @include breakpoint(mediummobile) {
                        font-size: 11px;
                        line-height: 0;
                    }
                    
                }
               
            }
        }
    }
    
    .number{
        background: $white;
    }
    .inner-bx{
        padding: 30px 0;
        @include breakpoint(mobile) {
            margin: 0;
            padding: 15px 0;
        }
        @include breakpoint(mediummobile) {
            margin: 0;
            padding: 10px 0;
        }
    }
    .do{
        text-align: center;
        height: 100%;
        border-right: 1px solid #F4F4F4;
        display: flex;
        flex-flow: column;
        align-items: center;
        justify-content: center;
        @include breakpoint(mobile) {
            border-right: none;
            border-bottom:1px solid #F4F4F4;
        }

        h3{
            font-size: 80px;
            color: $header-color;
            @include breakpoint(laptop) {
                font-size: 50px;
               
            }
            @include breakpoint(mobile) {
                font-size: 50px;
               
            }
            @include breakpoint(mediummobile) {
                font-size: 40px;
               
            }
        }
        span{
            font-size: 24px;
            color: $athree;
            font-family: 'Open Sans', sans-serif;
        }
    }
    .dom{
        @include breakpoint(mobile) {
            text-align: center;
           
        }
        @include breakpoint(mediummobile) {
            text-align: center;
           
        }
        .num1{
            font-size: 60px;
            color: $header-color;
            font-family: 'Conv_MavenPro-Medium';
            vertical-align: middle;
            line-height: 1.2;
            padding: 0 28px;
            @include breakpoint(defltlaptop) {
                font-size: 50px;
               padding: 0 5px;
            }
            @include breakpoint(laptop) {
                font-size: 50px;
               padding: 0 5px;
            }
            @include breakpoint(mobile) {
                font-size: 50px;
               
            }
            @include breakpoint(mediummobile) {
                font-size: 40px;
               
            }
        }
        .num2{
            font-family: 'Open Sans', sans-serif;
            font-size: 24px;
            color: $athree;
        }
    }
    .line-prog{
        border-bottom: 1px solid #F4F4F4;
        width: 100%;
        overflow: hidden;
        padding: 5px 0;
        select{
            max-width: 40%;
            float: right;
            border: none;
            color: $athree;
            @include breakpoint(mediummobile) {
                max-width: 100%;
               
            }
            &:focus{
                box-shadow: none;
            }

        }
        .drop-arow{
            position: absolute;
            right: 15%;
            top: 5%;
            color: $athree;
            @include breakpoint(laptop) {
                right: 10%;
               
            }
            @include breakpoint(mediummobile) {
                top: 3%;
            }
        }
        select{
            -webkit-appearance: none;
        }
        
    }
    .prog-span{
        padding: 20px 98px;
        @include breakpoint(defltlaptop) {
            padding: 20px 20px;
         }
        @include breakpoint(tablet) {
           text-align: center;
        }
        @include breakpoint(laptop) {
            padding:10px;
        }
        @include breakpoint(mediummobile) {
            padding:10px;
        }
        
        .bmi{
            color: $athree;
            font-size: 20px;
            @include breakpoint(laptop) {
                line-height: 0.7;
            }
        }
        .twnt{
            color: #212121;
            font-size: 60px;
            @include breakpoint(defltlaptop) {
                font-size: 36px;
            }
            @include breakpoint(mediummobile) {
                font-size: 30px;
            }
        }
        .over{
            color: #FFC107;
            font-size: 20px;
            @include breakpoint(mediummobile) {
                font-size: 16px;
            }
        }
    .strut{
        max-width: 352px;
        .blue-line{background: #7FB4D9;}
        .green-line{background: #4CAF50;}
        .yellow-line{background: #FFC107;}
        @include breakpoint(tablet) {
           margin: 0 auto;
        }
        span{
            display: inline-block;
            width: 3px;
            height: 30px;
            background: $border-color;
            
            @include breakpoint(defltlaptop) {
                width: 1px;
            }
        }
        
    }
    .lin-aver{
        margin: 0 5px;
        color: $border-color;
        span{
            padding: 0 32px;
            
            @include breakpoint(defltlaptop) {
                padding: 0 18px;
            }
            @include breakpoint(mobile) {
                padding: 0 26px;
            }
            @include breakpoint(mediummobile) {
                padding: 0 15px;
            }
        }

        .ine{color: #4CAF50;}
        .ine-2{color:#FFC107; }
    }
}
/* Bar Delays Animation Function 
.barDelays (@index, @moredelay, @amount) when (@index<(@amount+1)){
    @multi:(@index*200ms);
    @delay:@multi+@moredelay;
    
    .row:nth-of-type(@{index}) {
      .bar {
        transition: 1s @delay;
      }
    }
  
    .barDelays(@index+1, @moredelay, @amount);
  }
  */
  
  /* Chart Styles
  @label-width: 150px;
  @number-width: 30px;
  @bar-height: 26px;
   */
   .clnd{
       border-bottom: 1px solid $border-color;
      
   }
  
  .bar-chart{
      padding: 0 66px;
      @include breakpoint(mediummobile) {
        padding: 0;
    }
    .chart-wrap {
        max-width: 900px;
        // margin: 0 auto;
        padding: 10px;
    
        .totale{
            width: 100%;
            text-align: right;
            span{
                margin: 0 20px;
                color: $dark-blue;
            }
        }
    
        .chart-title {
          margin-bottom: 10px;
          font-size: 16px;
          text-align: center;
          text-transform: uppercase;
        }
        
        .row {
          position: relative;
          height: 26px;
          margin-bottom: 15px;
        }
        
        .bar-wrap {
          position: relative;
        //   background: rgb(215, 219, 222);
          width: 100%;
          margin: 0 150px; 
        //   height: 100%;
          overflow: hidden;
          
          
          @include breakpoint(laptop) {
            margin: 0 80px; 
          }
          @include breakpoint(custommobile) {
            margin: 0 150px; 
          }
          @include breakpoint(mobile) {
            display: none;   
          }
          
          .bar {
            position: absolute;
            top: 0;
            left: 0;
            height: 18px;
            background: #63B16D;
            transition: all 1s;
            border-radius: 50px;
            transform: translateX(-100%);
            
            &.in {
              transform: translateX(0%);
            }
          }
        }
      
        // Generate Bar Delays
        // .barDelays(1, 200ms, 7);
        
        .label {
          position: absolute;
          top: 0;
          left: 0;
        //   width: 150px;
          padding-left: 10px;
          text-align: left;
          font-size: 20px;
          font-family: Open Sans, Semibold;
          color: #63B16D;
          z-index: 10;
          @include breakpoint(custommobile) {
            font-size: 14px;
          }
          @include breakpoint(mobile) {
            font-size: 18px;
        }
            @include breakpoint(mediummobile) {
                font-size: 16px;
            }
        }
        
        .number {
          position: absolute;
          top: 0;
          right: 0;
          color: #63B16D;
          padding-right: 10px;
          font-size: 20px;
          text-align: center!important;
          z-index: 10;
          width: 100px;
          @include breakpoint(custommobile) {
            font-size: 14px;
          }
          @include breakpoint(mobile) {
            font-size: 18px;
        }
            @include breakpoint(mediummobile) {
                font-size: 16px;
            }
         
        }
        
        @media screen and (min-width:800px) {
          .row {
            padding: 0 (30px + 10px) 0 (150px + 10px); 
          }
          .label {
            text-align: right;
            padding-left: 0;
          }
          .number {
            text-align: left;
            padding-right: 0;
          }
        }
      }
  }
  
  .caalnder{
      display: flex;
      border-bottom: 1px solid #F4F4F4;
      .line-prog{
          border-bottom: none;
          border-left: 1px solid #F4F4F4;
      }
  }
// Dashboard css